﻿<Page
    x:Class="Tetris.MainPage"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:local="using:Tetris"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:canvas="using:Microsoft.Graphics.Canvas.UI.Xaml"
    mc:Ignorable="d">

    <Grid x:Name="mainGrid">
        <Grid.ColumnDefinitions>
            <ColumnDefinition></ColumnDefinition>
            <ColumnDefinition></ColumnDefinition>
            <ColumnDefinition></ColumnDefinition>
        </Grid.ColumnDefinitions>

        <Grid.RowDefinitions>
            <RowDefinition Height="13*"></RowDefinition>
            <RowDefinition Height="1*"></RowDefinition>
        </Grid.RowDefinitions>

        <Rectangle Grid.Row="0" Grid.ColumnSpan="3"/>
        <Rectangle Grid.Column="0" Grid.Row="1"/>
        <Rectangle Grid.Column="1" Grid.Row="1"/>
        <Rectangle Grid.Column="2" Grid.Row="1"/>
        <Grid x:Name="canvasGrid" Grid.ColumnSpan="3" Grid.RowSpan="1">
            <canvas:CanvasAnimatedControl x:Name="canvasAnimatedControl" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"  
                                          Draw="canvasAnimatedControl_Draw" ClearColor="White" Update="canvasAnimatedControl_Update"/>
        </Grid>

        <Button Grid.Column="0" Grid.Row="1" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" x:Name="left" Content="&lt;"  Click="left_Click" FontSize="18"/>
        <Button Grid.Column="1" Grid.Row="1" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" x:Name="rotate" Content="O" Click="rotate_Click" FontSize="18"/>
        <Button Grid.Column="2" Grid.Row="1" HorizontalAlignment="Stretch" VerticalAlignment="Stretch" x:Name="right"  Content="&gt;"  Click="right_Click" FontSize="18"/>
    </Grid>
</Page>
